package com.simuwang.base.pojo.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class EmailFundNavDTO {
    /**
     * 邮件解析的基金名称
     */
    private String fundName;
    /**
     * 邮件解析的备案编码
     */
    private String registerNumber;
    /**
     * 净值日期
     */
    private Date priceDate;
    /**
     * 单位净值
     */
    private BigDecimal nav;
    /**
     * 累计单位净值
     */
    private BigDecimal cumulativeNav;
    /**
     * 资产份额
     */
    private BigDecimal assetShare;
    /**
     * 资产总值
     */
    private BigDecimal assetTotal;
    /**
     * 资产净值(基金规模)
     */
    private BigDecimal assetNet;
}
